const SIGNATURE = '// generated by genversion'

exports.SIGNATURE = SIGNATURE

exports.createContent = (version, opts) => {
  // Create content for the version module
  //
  // Parameters:
  //   version: string, version tag
  //   opts: optional object with optional properties:
  //     useSemicolon:
  //       boolean. True to use semicolons in generated code
  //     useEs6Syntax:
  //       boolean. True to use ES6 export syntax in generated code
  //
  // Return:
  //   string. The version module contents.
  //
  let content = SIGNATURE + '\n'

  if (opts.useEs6Syntax) {
    content += 'export const version'
  } else {
    content += 'module.exports'
  }

  content += ' = \'' + version + '\''

  // Some code styles use semicolons, others do not.
  if (opts.useSemicolon) {
    content += ';\n'
  } else {
    content += '\n'
  }

  return content
}
